Name: ##NAME##
Version: 1.0.0
Release: alt1

Summary: Sample java library
License: Apache Software License
Group: Development/Java
Url: http://wiki.sisyphus.ru

Source: %name-%version-src.tar.gz

# Common dependencies
BuildPreReq: /proc rpm-build-java
BuildRequires: j2se-devel ant junit
Requires: java-common

# Example dependency
BuildRequires: example-javalib
Requires: example-javalib

BuildArch: noarch

%description
This specfile is an example of java library/program packaging.

%package javadoc
Summary: Javadoc for %name
Group: Development/Documentation
Requires: java-common

%description javadoc
Javadoc for %name.

%package manual
Summary: Manual for %name
Group: Documentation

%description manual
Documentation for %name

%package demo
Summary: Demo for %name
Group: Development/Java
Requires: %name=%verison-%release

%description demo
Demonstrations and samples for %name.

%prep
%setup -q -n %name-%version
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.zip" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
%set_classpath %_javadir/junit.jar
%add_classpath %_javadir/example-javalib.jar
%ant_build \
	-Dbuild.sysclasspath=only \
	dist

%install
# jars
%__install -d -m 755 %buildroot%_javadir
%__install -m 644 dist/%name.jar %buildroot%_javadir

# javadoc
%__install -d -m 755 %buildroot%_javadocdir/%name
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name
%__rm -rf dist/docs/api

# demo
%__install -d -m 755 %buildroot%_datadir/%name
%__cp -pr dist/examples %buildroot%_datadir/%name

%files
%doc README.txt RELEASE-NOTES.txt LICENSE.txt
%_javadir/*

%files javadoc
%doc %_javadocdir/%name

%files manual
%doc dist/docs/*

%files demo
%_datadir/%name

%changelog
